Name: postgresql-odbc64
Summary: PostgreSQL ODBC driver
Version: 09.00.0200
Release: 1%{?dist}
License: LGPLv2+
Group: Applications/Databases
URL: http://psqlodbc.projects.postgresql.org/

# Upstream has a mirror redirector for downloads, so the URL is hard to
# represent statically.  You can get the tarball by following a link from
# http://www.postgresql.org/ftp/odbc/versions/src/
Source0: psqlodbc-%{version}.tar.gz

# CAUTION: acinclude.m4 has to be kept in sync with package's aclocal.m4.
# This is a kluge that ought to go away, but upstream currently isn't
# shipping their custom macros anywhere except in aclocal.m4.  (The macros
# actually come from the Postgres source tree, but we haven't got that
# available while building this RPM.)  To generate: in psqlodbc source tree,
#   aclocal -I . -I $PGSRC/config
# then strip aclocal.m4 down to just the PGAC macros.
# BUT: as of 09.00.0200, configure.ac hasn't been updated to use latest
# PG macros, so keep using the previous version of acinclude.m4.
Source1: acinclude.m4

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: unixODBC64-devel
BuildRequires: libtool automake autoconf postgresql-devel
BuildRequires: openssl-devel krb5-devel pam-devel zlib-devel readline-devel

# This spec file and ancillary files are licensed in accordance with 
# the psqlodbc license.

%description
This package includes the driver needed for applications to access a
PostgreSQL system via ODBC (Open Database Connectivity).
This version is for use with unixODBC64.

%prep
%setup -q -n psqlodbc-%{version}

# Some missing macros.  Courtesy Owen Taylor <otaylor@redhat.com>.
cp -p %{SOURCE1} .

# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4

libtoolize --force  --copy
aclocal -I .
automake --add-missing --copy
autoconf
autoheader

%build

%configure --with-unixodbc --disable-dependency-tracking

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Remove the rather useless .la file
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/psqlodbcw.so
%doc license.txt readme.txt docs/*

%changelog
* Mon Oct 10 2011 Tom Lane <tgl@redhat.com> 09.00.0200-1
- Constructed from current Fedora package.
Resolves: #742602
